Subject: bug#49178: 28.0.50; make-auto-save-file-name connects to remote

From: Sam Steingold <[email-masked]>
Date: Thu, 24 Jun 2021 14:30:08 -0400

Hi Michael,

The doc for `tramp-allow-unsafe-temporary-files ` says:
>>> Whether root-owned auto-save or backup files can be written to "/tmp"

1. the file is not owned by root
2. `auto-save-list-file-prefix` is under my home, not /tmp

On Thu, 24 Jun 2021 at 13:41, Michael Albinus <[email-masked]> wrote:
>
> > When I edit a remote file using tramp (scp method), I notice a
> > significant slow-down on auto-save (not every time!), and a brief
> > investigation seems to indicate that make-auto-save-file-name MAY
> > re-establish the connection to the remote server when it is dead (or
> > something?)
>
> Well, this is the consequence of the fix for bug#45245. In etc/NEWS,
> this is mentioned as
>
> --8<---------------cut here---------------start------------->8---
> *** Writing sensitive auto-save or backup files to the local temporary
> directory must be confirmed.  In order to suppress this confirmation,
> set user option 'tramp-allow-unsafe-temporary-files' to t.
> --8<---------------cut here---------------end--------------->8---

I am never asked for any confirmation.

-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net>
<http://steingoldpsychology.com>